html {
    overflow: auto;
/* This will become valid
    overflow-x: auto
    overflow-y: scroll
*/
}

a {
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

img {
    border: none;
}

img.latex {
    vertical-align: middle;
}

hr {
    margin-top: 25px;
    margin-bottom: 25px;
    border: 0;
    border-top: 1px solid #bbb;
}

.batch {
    border: 1px solid #edd;
    padding: 4px;
    margin-bottom: 10px;
}

#sub {
    border-collapse: collapse;
    width: 100%;
}

#sub td, #sub th {
    border: 1px solid #eee;
    padding: 4px;
    vertical-align: top;
}

#sub h3 {
    margin-top: 0;
}

tr.heading {
    font-weight: bold;
}

.nicetable {
    /* width: 100%; */
    border-collapse: collapse;
}

.nicetable th {
    border: 1px solid lightgray;
    padding: 4px;
    vertical-align: middle;
    background-color: white;
    color: black;
    text-align: center;
    line-height: 1.5em;
    font-size: 10.5pt;
    font-weight: bold;
}

.nicetable td {
    border: 1px solid #d4d4d4;
    padding: 4px;
    vertical-align: middle;
    text-align: center;
    line-height: 1.3em;
    padding: 5px 10px 5px 10px;
}

.stripes tr:nth-child(even) {
    background-color: #f7f7f7;
}

.stripes tr:nth-child(odd) {
    background-color: #fcfcfc;
}

.stripes tr:hover {
    background: #eaeaea;
}

.nicetable .ranklist-user {
    position: relative;
}

.nicetable .ranklist-user > .ranklist-organization {
    display: inline-block;
    position: absolute;
    right: 1em;
    z-index: 100;
}

.nicetable .ranklist-user tr:nth-child(even) > .ranklist-organization {
    background-color: #f7d7d7;
}

.nicetable .ranklist-user tr:nth-child(odd) > .ranklist-organization {
    background-color: #fcfcfc;
}

.nicetable .ranklist-user > .ranklist-organization > a {
    color: black;
    text-decoration: none;
    font-variant: small-caps;
}

.nicetable .ranklist-user > .ranklist-organization > a:hover {
    text-decoration: underline;
}

.sorted-asc::after {
    content: " \25B4"; /* small up-pointing arrow */
}

.sorted-desc::after {
    content: " \25BE"; /* small down-pointing arrow */
}

.error {
    background: url(../img/cross.png) 4px 4px no-repeat #fbe3e4;
    color: #8a1f11;
    border: 1px solid #fbc2c4;
    padding: 2px;
    padding-left: 22px;
}

.success {
    background: url(../img/check.png) 4px 4px no-repeat #E6EFC2;
    color: #264409;
    border: 1px solid #C6D880;
    padding: 2px;
    padding-left: 22px;
}

fieldset.niceform {
    border: 0px;
    padding-left: 0;
}

.niceform legend {
    font-weight: bold;
    font-size: 120%;
    letter-spacing: -0.03em;
    color: #4e463f;
    margin-bottom: 15px;
}

.niceform label {
    clear: none;
    float: left;
    width: 150px;
    text-align:right;
    margin-right: 5px;
    margin-top: 2px;
}

.niceform input {
    clear: none;
}

.niceform input[type="submit"] {
    margin-left: 157px;
    margin-top: 10px;
}

.button {
    display: block;
    margin-left: 105px;
}

span.coderRed {
    color: #ee0000;
    font-weight: bold;
}

span.coderYellow {
    color: #ddcc00;
    font-weight: bold;
}

span.coderBlue {
    color: #6666ff;
    font-weight: bold;
}

span.coderGreen {
    color: #00a900;
    font-weight: bold;
}

span.coderGray {
    color: #999;
    font-weight: bold;
}

span.coderUnrated {
    color: black;
    font-weight: bold;
}

span.userAdmin {
    color: #ee0000;
    font-weight: bold;
}

span.userPSetter {
    color: #ddcc00;
    font-weight: bold;
}

span.userNormal {
    color: #0000ff;
    font-weight: bold;
}

.help {
    float: right;
    font-size: 90%;
    width: 49%;
}

table.temp {
    border-collapse: collapse;
}

.temp td {
    border: 1px solid #ccc;
    padding: 5px;
    text-align: center;
}

ul.multicol {
    list-style-type: none;
    margin-top: 0;
    margin-bottom: 0;
    padding-left: 0;
    -webkit-column-count: 4; -webkit-column-gap: 20px;
       -moz-column-count: 4;    -moz-column-gap: 20px;
         -o-column-count: 4;      -o-column-gap: 20px;
            column-count: 4;         column-gap: 20px;
}

ul.multicol > li {
    display: list-item;
}

ul.multicol a:focus {
    outline: 0;
}

input[type="text"][disabled] {
    background-color: #e8e8e8;
}

.toggle {
    color: inherit;
    cursor: pointer;
}

.toggle:hover {
    text-decoration: none;
}

.expanded::before {
    content: url(../img/expanded.png);
}

.collapsed::before {
    content: url(../img/collapsed.png);
}

.separators > li {
    border-top: 1px solid grey;
}

.separators > li:first-child {
    border-top: 0;
}

.nicelist {
    list-style-type: none;
    padding-left: 0;
}

.nicelist > li {
    margin-bottom: 5px;
    padding-top: 5px;
}

.announcement {
    padding: 5px 15px 10px 15px;
    border: 1px solid #aaa;
    border-radius: 3px;
    box-shadow: 6px 5px #ddd;
    max-width: 900px;
}

.announcement_normal {
    background-color: #f5f5f5;
}

.announcement_sticky {
    background-color: #feffcf;
}

.announcement_title {
    font-size: 11pt;
    margin-bottom: 10px;
}

.announcement > .comment_header > .controls {
    margin-top: 10px;
}

.pagination-container {
    text-align: center;
}

.pagination-container div {
    border: 1px solid #ccc;
    border-left: 0;
    display: inline-block;
    font-family: Helvetica, sans-serif;
    font-size: 9pt;
    line-height: 1.2em;
    min-width: 1.25em;
    padding: 5px;
    text-align: center;
}

.pagination-container div {
    background: #f7f7f7;
    color: #aaa;
    cursor: default;
}

.pagination-container > a > div {
    background: white;
    color: #333;
    cursor: pointer;
}

.pagination-container div.pagination-prev {
    border-left: 1px solid #ccc;
    border-radius: 4px 0 0 4px;
}

.pagination-container div.pagination-next {
    border-radius: 0 4px 4px 0;
}

.pagination-container div.pagination-cur {
    font-weight: bold;
    color: #333;
}

.pagination-container > a > div:hover {
    background: #e7e7e7;
}

.pagination-container > a > div:focus,
.pagination-container > a > div:active {
    background: #ccc;
}
